Skip to main content

bulkDeleteProjects

Bulk delete projects

bulkDeleteProjects(
input: BulkDeleteProjectInput!
): BulkDeleteProjectPayload

Arguments​

bulkDeleteProjects.input ● BulkDeleteProjectInput! non-null input​

Parameters for BulkDeleteProject

Type​

BulkDeleteProjectPayload object​

Autogenerated return type of BulkDeleteProject.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateBulkDeleteProjects($input: BulkDeleteProjectInput!) {\n bulkDeleteProjects(input: $input) { clientMutationId projects { collection { __typename } metadata { __typename } } }\n}","variables":{"input":{"ids":["example-id"],"companyId":"<company_id>"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute